<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_func.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AddDrawingFromFiles()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a8f6eb81e4b1324d338a13de9fe692583">PzG::GnuplotLink</a>
</li>
<li>AddFilename()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a795ee974694d79694496e09d668eb562">PzG::GnuplotLink</a>
</li>
<li>AddFilesToDrawCommand()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a0e0854467fcaf528a04a32e1e4e3fa37">PzG::GnuplotLink</a>
</li>
<li>animation()
: <a class="el" href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">Scene</a>
</li>
<li>AreErrorMessagesDisplayed()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a7d5d83803ea886a7b056e1d7a473bb3a">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>bottomSurface()
: <a class="el" href="classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>calculateTranslation()
: <a class="el" href="class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">Drone</a>
</li>
<li>checkCollision()
: <a class="el" href="classbottom_surface.html#a0f59d969e5fa357dbed89a3a15519a2c">bottomSurface</a>
, <a class="el" href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">CuboidObstacle</a>
, <a class="el" href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">Drone</a>
, <a class="el" href="class_rectangle.html#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">Rectangle</a>
, <a class="el" href="class_rod.html#a8bd1e81ac1987a74913ed25e57769d92">Rod</a>
, <a class="el" href="class_scene.html#a806fccf2f53e666749ea8abf76190c62">Scene</a>
, <a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">Shape</a>
, <a class="el" href="classwater_surface.html#a21bd94ef24b4c75e0327c709f3bc5fac">waterSurface</a>
</li>
<li>Create2DPreamble()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a562fc970535935237a32f18faf4f0b19">PzG::GnuplotLink</a>
</li>
<li>Create3DPreamble()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a475373e9f4e3ea655a64e7daabd56ac9">PzG::GnuplotLink</a>
</li>
<li>CreateChildProcess()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a81a78898b39cb0b4c79ea4f3c90bbeb5">PzG::GnuplotLink</a>
</li>
<li>CreateCommandPreamble()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#aa2555a85839c555480c18da5015c0b26">PzG::GnuplotLink</a>
</li>
<li>Cuboid()
: <a class="el" href="class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a>
</li>
<li>CuboidObstacle()
: <a class="el" href="class_cuboid_obstacle.html#ac30b116e7a4684a2cf5403708b63359a">CuboidObstacle</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DeleteAllNames()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#aa0e5912cf21d3e4ebaedfc4d473f1008">PzG::GnuplotLink</a>
</li>
<li>DeleteLastName()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#acd96e1e3a99df66cfd68971f9974661f">PzG::GnuplotLink</a>
</li>
<li>Determinant()
: <a class="el" href="class_matrix.html#ac2c8303fdc06fd4c7e292455eae5c416">Matrix&lt; T, SIZE &gt;</a>
</li>
<li>displayObjectCount()
: <a class="el" href="class_scene.html#a6a8e842f5988fa87c6880684d22a6c15">Scene</a>
</li>
<li>draw()
: <a class="el" href="classbottom_surface.html#abd43b419dc9f833e96fc5b7f6674b39b">bottomSurface</a>
, <a class="el" href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">Cuboid</a>
, <a class="el" href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">CuboidObstacle</a>
, <a class="el" href="class_drone.html#a43e891fd105579c5562ada343df72bb2">Drone</a>
</li>
<li>Draw()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a96321ba10f7ee9c5f55dd17a28143a39">PzG::GnuplotLink</a>
</li>
<li>draw()
: <a class="el" href="class_rectangle.html#a3143df391fb8929ceb88f32638297cdc">Rectangle</a>
, <a class="el" href="class_rod.html#a26e3e6f119b8d6a3747dd22626e9c07c">Rod</a>
, <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>
, <a class="el" href="classwater_surface.html#a0de872419d5f60025eb0b060b6df3633">waterSurface</a>
</li>
<li>DrawToFile()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a77b3776f569733b570681190b12d1891">PzG::GnuplotLink</a>
</li>
<li>Drone()
: <a class="el" href="class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>ErrorMessage()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a863bdb229a0d3e6d8d22cd5a4518d55e">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FileInfo()
: <a class="el" href="class_pz_g_1_1_file_info.html#a09603738e0fbc8d6dadda905a5e947d7">PzG::FileInfo</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>GaussElimination()
: <a class="el" href="class_matrix.html#af127708865eb29c4157be68d2d783b65">Matrix&lt; T, SIZE &gt;</a>
</li>
<li>getCollisionInformation()
: <a class="el" href="classbottom_surface.html#af8a576c98ebe7bbd0b921eb4d09b4594">bottomSurface</a>
, <a class="el" href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">CuboidObstacle</a>
, <a class="el" href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">Drone</a>
, <a class="el" href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">Rectangle</a>
, <a class="el" href="class_rod.html#aabd3e986477308641df1107e4d1ca952">Rod</a>
, <a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">Shape</a>
, <a class="el" href="classwater_surface.html#ab49ab5ed2dbac566bd0b30e465b2bd5b">waterSurface</a>
</li>
<li>GetDrawingMode()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#acbeb26baf4b1091dd9243d9cdba8f612">PzG::GnuplotLink</a>
</li>
<li>GetFilename()
: <a class="el" href="class_pz_g_1_1_file_info.html#a25d23a5d9986ebb89edbd01185a26f10">PzG::FileInfo</a>
</li>
<li>getNextStepCover()
: <a class="el" href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd">Cuboid</a>
</li>
<li>GetStyle()
: <a class="el" href="class_pz_g_1_1_file_info.html#aa8a3328daf9365064a98a0dc67f128b8">PzG::FileInfo</a>
</li>
<li>GetWidth()
: <a class="el" href="class_pz_g_1_1_file_info.html#a336ec97881b709c3bf01d2f27c124e78">PzG::FileInfo</a>
</li>
<li>GnuplotLink()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#aa140852169cf67df9c565c33a45bff75">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>Init()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a7f9c65c2319f35f1b7663ba0ad461d14">PzG::GnuplotLink</a>
</li>
<li>IsConnectionInitialized()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a23e53f7a9d3ca945545f9292c55a7c96">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>makeRadians()
: <a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">Shape</a>
</li>
<li>Matrix()
: <a class="el" href="class_matrix.html#a3e08e51548e9fc339d66dcec03064d59">Matrix&lt; T, SIZE &gt;</a>
</li>
<li>moveForward()
: <a class="el" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33">Drone</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>objectsOnScene()
: <a class="el" href="class_scene.html#acfb2daa817152705b9433371daefd1e0">Scene</a>
</li>
<li>operator()()
: <a class="el" href="class_matrix.html#a8d88b4b485a4716a41159891584b0870">Matrix&lt; T, SIZE &gt;</a>
</li>
<li>operator*()
: <a class="el" href="class_matrix.html#aa32da33cf90c74d4a8083a08a3bf1001">Matrix&lt; T, SIZE &gt;</a>
, <a class="el" href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">RotationMatrix</a>
, <a class="el" href="class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">Vector&lt; T, SIZE &gt;</a>
</li>
<li>operator+()
: <a class="el" href="class_vector.html#afc7fbba80f94f43ee97db87d8b8623d9">Vector&lt; T, SIZE &gt;</a>
</li>
<li>operator-()
: <a class="el" href="class_vector.html#a79f1e5fb7239e59a78b6df100a56b18c">Vector&lt; T, SIZE &gt;</a>
</li>
<li>operator/()
: <a class="el" href="class_vector.html#a0f208f83a404416a3dd32f366c9e33de">Vector&lt; T, SIZE &gt;</a>
</li>
<li>operator[]()
: <a class="el" href="class_vector.html#aa0551702cc828474774e5a417d5be63c">Vector&lt; T, SIZE &gt;</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>Rectangle()
: <a class="el" href="class_rectangle.html#a8a933e0ebd9e80ce91e61ffe87fd577e">Rectangle</a>
</li>
<li>Rod()
: <a class="el" href="class_rod.html#adcb64855f216b76960fcd78db56a3e52">Rod</a>
</li>
<li>rotate()
: <a class="el" href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0">Drone</a>
</li>
<li>rotateRotor()
: <a class="el" href="class_drone.html#a7a43dc06d8b00fd2e9615ad26c72887c">Drone</a>
</li>
<li>RotationMatrix()
: <a class="el" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix</a>
</li>
<li>RotationX()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a93c58deadc1c9bb9b85a5fa51d5d946a">PzG::GnuplotLink</a>
</li>
<li>RotationZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#aa734824e9997fb565da289791f03d149">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SaveRangeSettings()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ab6bf77a1d62d351a2edb737c48d9353d">PzG::GnuplotLink</a>
</li>
<li>SaveScaleRotationSettings()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a8dccd32a85d0be08c6bd98b62281c743">PzG::GnuplotLink</a>
</li>
<li>ScaleX()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a1ffc96315a688f5ed0cd9d772ae1a1df">PzG::GnuplotLink</a>
</li>
<li>ScaleZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ac8f652a7f9a44568b00069e63ffdaa2e">PzG::GnuplotLink</a>
</li>
<li>Scene()
: <a class="el" href="class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a>
</li>
<li>SendToGnuplot()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#acf0c0bf937eb87f9c14dedf2f01780bc">PzG::GnuplotLink</a>
</li>
<li>SetDrawingMode()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a5b903bc69eb4c2884edbe25d53cea188">PzG::GnuplotLink</a>
</li>
<li>SetFilename()
: <a class="el" href="class_pz_g_1_1_file_info.html#a02c728f892c6f169b738adac8ed9d5f1">PzG::FileInfo</a>
</li>
<li>SetRangeX()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a7db1d889cd30bfb23cb4af3ca4bb4ef0">PzG::GnuplotLink</a>
</li>
<li>SetRangeY()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a269f721e7d49c37a842c1f65511a7d71">PzG::GnuplotLink</a>
</li>
<li>SetRangeZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a6cb4123fb2cbe459a747c2a1c1f94770">PzG::GnuplotLink</a>
</li>
<li>SetRotationX()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ace414a178fc745111344ce2390e363b7">PzG::GnuplotLink</a>
</li>
<li>SetRotationXZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ae1019984feb2a9cef9c8b41eec65ee97">PzG::GnuplotLink</a>
</li>
<li>SetRotationZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a2d72e30d46e7fb61fbf70f2ea5c0d0a5">PzG::GnuplotLink</a>
</li>
<li>SetScaleX()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a70d30fdb78dad112f96963a55f69e279">PzG::GnuplotLink</a>
</li>
<li>SetScaleXZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a922cef9903317477051890311f6f4dec">PzG::GnuplotLink</a>
</li>
<li>SetScaleZ()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#adb266ff0cb6bc916dcb12b6bd168ba14">PzG::GnuplotLink</a>
</li>
<li>Shape()
: <a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a>
</li>
<li>show_OX_axis()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#abd99d3a72eebe5c6323be5cf4a465b34">PzG::GnuplotLink</a>
</li>
<li>show_OY_axis()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a9b1c09293f8128fa970497d2effda7d3">PzG::GnuplotLink</a>
</li>
<li>show_OZ_axis()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ab4e8078f7c63779d5f4c21f22608d3ef">PzG::GnuplotLink</a>
</li>
<li>ShowErrorMessages()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a9c8f23498ce784bd4f62583163e9c065">PzG::GnuplotLink</a>
</li>
<li>SwitchRows()
: <a class="el" href="class_matrix.html#a4722df35d85e6bb1ac4666cd36063e52">Matrix&lt; T, SIZE &gt;</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>translate()
: <a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Shape</a>
</li>
<li>translateCover()
: <a class="el" href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4">Cuboid</a>
</li>
<li>Transpose()
: <a class="el" href="class_matrix.html#ad5c9497d13380b10beaff841f7f5216f">Matrix&lt; T, SIZE &gt;</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>Vector()
: <a class="el" href="class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector&lt; T, SIZE &gt;</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>waterSurface()
: <a class="el" href="classwater_surface.html#a168ae86be77b2066f8981603fefaf718">waterSurface</a>
</li>
<li>writeAngle()
: <a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Shape</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>Xmax()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a4211e715251f1f90e56f5ec64c672d64">PzG::GnuplotLink</a>
</li>
<li>Xmin()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a8817b7aee867b4ebdf493a091a32bad0">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>Ymax()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a7311b56e882f8bf334c1afbceb51a734">PzG::GnuplotLink</a>
</li>
<li>Ymin()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a9a8112464c85c3a72723079c84446789">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_z"></a>- z -</h3><ul>
<li>Zmax()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a2705f7ee3528734ddcd28f2b8de9af0d">PzG::GnuplotLink</a>
</li>
<li>Zmin()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a3d360b728e1c4d550f7e7253751e0f0a">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index__7E"></a>- ~ -</h3><ul>
<li>~bottomSurface()
: <a class="el" href="classbottom_surface.html#a7c678c8506432177596e44c65a390492">bottomSurface</a>
</li>
<li>~Cuboid()
: <a class="el" href="class_cuboid.html#aba010c63b64540741c25b5e89b7fabbb">Cuboid</a>
</li>
<li>~CuboidObstacle()
: <a class="el" href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">CuboidObstacle</a>
</li>
<li>~Drone()
: <a class="el" href="class_drone.html#a667075abb1eb5c54be6418884a387d14">Drone</a>
</li>
<li>~GnuplotLink()
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#adba8f71e0828a077757dae54918c0b45">PzG::GnuplotLink</a>
</li>
<li>~Rectangle()
: <a class="el" href="class_rectangle.html#a494c076b13aadf26efdce07d23c61ddd">Rectangle</a>
</li>
<li>~Rod()
: <a class="el" href="class_rod.html#aab5b9f2d2649799575097e597be94354">Rod</a>
</li>
<li>~Scene()
: <a class="el" href="class_scene.html#a631eef7493cafce5d74739a2cad12a58">Scene</a>
</li>
<li>~Shape()
: <a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">Shape</a>
</li>
<li>~waterSurface()
: <a class="el" href="classwater_surface.html#aa626eb73c254c3d94a38cab5f8978a5a">waterSurface</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
